#
# Automatically generated make config: don't edit
# coreboot version: 4.0
# Wed Aug 25 20:19:20 2010
#

#
# General setup
#
# CONFIG_EXPERT is not set
CONFIG_LOCALVERSION=""
CONFIG_CBFS_PREFIX="fallback"
CONFIG_COMPILER_GCC=y
# CONFIG_COMPILER_LLVM_CLANG is not set
# CONFIG_SCANBUILD_ENABLE is not set
# CONFIG_CCACHE is not set
# CONFIG_USE_OPTION_TABLE is not set

#
# Mainboard
#
# CONFIG_VENDOR_ABIT is not set
# CONFIG_VENDOR_ADVANTECH is not set
CONFIG_VENDOR_AMD=y
# CONFIG_VENDOR_ARIMA is not set
# CONFIG_VENDOR_ARTEC_GROUP is not set
# CONFIG_VENDOR_ASI is not set
# CONFIG_VENDOR_ASROCK is not set
# CONFIG_VENDOR_ASUS is not set
# CONFIG_VENDOR_A_TREND is not set
# CONFIG_VENDOR_AXUS is not set
# CONFIG_VENDOR_AZZA is not set
# CONFIG_VENDOR_BCOM is not set
# CONFIG_VENDOR_BIOSTAR is not set
# CONFIG_VENDOR_BROADCOM is not set
# CONFIG_VENDOR_COMPAQ is not set
# CONFIG_VENDOR_DELL is not set
# CONFIG_VENDOR_DIGITAL_LOGIC is not set
# CONFIG_VENDOR_EAGLELION is not set
# CONFIG_VENDOR_ECS is not set
# CONFIG_VENDOR_EMULATION is not set
# CONFIG_VENDOR_GETAC is not set
# CONFIG_VENDOR_GIGABYTE is not set
# CONFIG_VENDOR_HP is not set
# CONFIG_VENDOR_IBASE is not set
# CONFIG_VENDOR_IBM is not set
# CONFIG_VENDOR_IEI is not set
# CONFIG_VENDOR_INTEL is not set
# CONFIG_VENDOR_IWILL is not set
# CONFIG_VENDOR_JETWAY is not set
# CONFIG_VENDOR_KONTRON is not set
# CONFIG_VENDOR_LIPPERT is not set
# CONFIG_VENDOR_MITAC is not set
# CONFIG_VENDOR_MSI is not set
# CONFIG_VENDOR_NEC is not set
# CONFIG_VENDOR_NEWISYS is not set
# CONFIG_VENDOR_NOKIA is not set
# CONFIG_VENDOR_NVIDIA is not set
# CONFIG_VENDOR_OLPC is not set
# CONFIG_VENDOR_PC_ENGINES is not set
# CONFIG_VENDOR_RCA is not set
# CONFIG_VENDOR_RODA is not set
# CONFIG_VENDOR_SOYO is not set
# CONFIG_VENDOR_SUNW is not set
# CONFIG_VENDOR_SUPERMICRO is not set
# CONFIG_VENDOR_TECHNEXION is not set
# CONFIG_VENDOR_TECHNOLOGIC is not set
# CONFIG_VENDOR_TELEVIDEO is not set
# CONFIG_VENDOR_THOMSON is not set
# CONFIG_VENDOR_TRAVERSE is not set
# CONFIG_VENDOR_TYAN is not set
# CONFIG_VENDOR_VIA is not set
# CONFIG_VENDOR_WINENT is not set
# CONFIG_VENDOR_WYSE is not set
CONFIG_MAINBOARD_VENDOR="AMD"
CONFIG_MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID=0x1022
CONFIG_MAINBOARD_DIR="amd/serengeti_cheetah_fam10"
CONFIG_MAINBOARD_PART_NUMBER="Serengeti Cheetah (Fam10)"
CONFIG_IRQ_SLOT_COUNT=11
# CONFIG_BOARD_AMD_DB800 is not set
CONFIG_RAMBASE=0x200000
# CONFIG_BOARD_AMD_DBM690T is not set
CONFIG_HAVE_HIGH_TABLES=y
CONFIG_WARNINGS_ARE_ERRORS=y
CONFIG_DCACHE_RAM_BASE=0xc4000
CONFIG_DCACHE_RAM_SIZE=0x0c000
CONFIG_DCACHE_RAM_GLOBAL_VAR_SIZE=0x04000
CONFIG_APIC_ID_OFFSET=0x0
CONFIG_HW_MEM_HOLE_SIZEK=0x100000
CONFIG_MAX_CPUS=48
CONFIG_MAX_PHYSICAL_CPUS=8
# CONFIG_HW_MEM_HOLE_SIZE_AUTO_INC is not set
CONFIG_SB_HT_CHAIN_ON_BUS0=2
CONFIG_HT_CHAIN_END_UNITID_BASE=0x6
CONFIG_HT_CHAIN_UNITID_BASE=0xa
CONFIG_MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID=0x2b80
# CONFIG_BOARD_AMD_MAHOGANY is not set
# CONFIG_BOARD_AMD_MAHOGANY_FAM10 is not set
CONFIG_MEM_TRAIN_SEQ=2
CONFIG_AMD_UCODE_PATCH_FILE="mc_patch_01000095.h"
CONFIG_RAMTOP=0x1000000
CONFIG_HEAP_SIZE=0xc0000
CONFIG_ACPI_SSDTX_NUM=5
# CONFIG_BOARD_AMD_TILAPIA_FAM10 is not set
# CONFIG_BOARD_AMD_NORWICH is not set
# CONFIG_BOARD_AMD_PISTACHIO is not set
# CONFIG_BOARD_AMD_RUMBA is not set
# CONFIG_BOARD_AMD_SERENGETI_CHEETAH is not set
CONFIG_SERIAL_CPU_INIT=y
CONFIG_BOARD_AMD_SERENGETI_CHEETAH_FAM10=y
CONFIG_ID_SECTION_OFFSET=0x80
# CONFIG_BOARD_EMULATION_QEMU_X86 is not set
# CONFIG_PCI_64BIT_PREF_MEM is not set
CONFIG_GENERATE_PIRQ_TABLE=y
CONFIG_LOGICAL_CPUS=y
CONFIG_IOAPIC=y
CONFIG_SMP=y
CONFIG_STACK_SIZE=0x8000
CONFIG_TTYS0_BAUD=115200
CONFIG_TTYS0_BASE=0x3f8
CONFIG_TTYS0_LCS=3
CONFIG_DEFAULT_CONSOLE_LOGLEVEL=8
CONFIG_MAXIMUM_CONSOLE_LOGLEVEL=8
CONFIG_CONSOLE_SERIAL8250=y
# CONFIG_CONSOLE_VGA is not set
CONFIG_PCI_ROM_RUN=y
# CONFIG_USBDEBUG is not set
CONFIG_VAR_MTRR_HOLE=y
CONFIG_LIFT_BSP_APIC_ID=y
# CONFIG_WAIT_BEFORE_CPUS_INIT is not set
CONFIG_HT3_SUPPORT=y
# CONFIG_K8_REV_F_SUPPORT is not set
CONFIG_BOARD_ROMSIZE_KB_1024=y
# CONFIG_COREBOOT_ROMSIZE_KB_128 is not set
# CONFIG_COREBOOT_ROMSIZE_KB_256 is not set
CONFIG_COREBOOT_ROMSIZE_KB_512=y
# CONFIG_COREBOOT_ROMSIZE_KB_1024 is not set
# CONFIG_COREBOOT_ROMSIZE_KB_2048 is not set
# CONFIG_COREBOOT_ROMSIZE_KB_4096 is not set
CONFIG_COREBOOT_ROMSIZE_KB=512
CONFIG_ROM_SIZE=0x80000
CONFIG_ARCH_X86=y
# CONFIG_AP_IN_SIPI_WAIT is not set
CONFIG_ARCH="i386"
CONFIG_ROMBASE=0xffff0000
CONFIG_ROM_IMAGE_SIZE=0x10000
CONFIG_MAX_REBOOT_CNT=3
CONFIG_TINY_BOOTBLOCK=y
# CONFIG_BIG_BOOTBLOCK is not set
CONFIG_BOOTBLOCK_SIMPLE=y
# CONFIG_BOOTBLOCK_NORMAL is not set
CONFIG_BOOTBLOCK_SOURCE="bootblock_simple.c"
# CONFIG_UPDATE_IMAGE is not set
# CONFIG_ROMCC is not set
CONFIG_BOOTBLOCK_NORTHBRIDGE_INIT="northbridge/amd/amdfam10/bootblock.c"
CONFIG_BOOTBLOCK_SOUTHBRIDGE_INIT="southbridge/amd/amd8111/bootblock.c"

#
# Chipset
#

#
# CPU
#
CONFIG_CPU_SOCKET_TYPE=0x10
CONFIG_DIMM_SUPPORT=0x0104
# CONFIG_EXT_RT_TBL_SUPPORT is not set
# CONFIG_EXT_CONF_SUPPORT is not set
CONFIG_CBB=0x0
CONFIG_CDB=0x18
CONFIG_XIP_ROM_BASE=0xfff80000
CONFIG_XIP_ROM_SIZE=0x80000
CONFIG_CPU_AMD_SOCKET_F_1207=y
CONFIG_CPU_ADDR_BITS=48
# CONFIG_UDELAY_IO is not set
CONFIG_CPU_AMD_MODEL_10XXX=y
CONFIG_SSE2=y
# CONFIG_UDELAY_LAPIC is not set
# CONFIG_UDELAY_TSC is not set
# CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 is not set
CONFIG_USE_DCACHE_RAM=y
CONFIG_SSE=y

#
# Northbridge
#
CONFIG_AGP_APERTURE_SIZE=0x4000000
CONFIG_SB_HT_CHAIN_UNITID_OFFSET_ONLY=y
CONFIG_NORTHBRIDGE_AMD_AMDFAM10=y
CONFIG_AMDMCT=y
CONFIG_NORTHBRIDGE_AMD_AMDFAM10_ROOT_COMPLEX=y
CONFIG_VIDEO_MB=0

#
# Southbridge
#
CONFIG_SOUTHBRIDGE_AMD_AMD8111=y
CONFIG_SOUTHBRIDGE_AMD_AMD8132=y

#
# Super I/O
#
CONFIG_SUPERIO_WINBOND_W83627HF=y

#
# Devices
#
CONFIG_VGA_BRIDGE_SETUP=y
CONFIG_VGA_ROM_RUN=y
CONFIG_PCI_OPTION_ROM_RUN_REALMODE=y
# CONFIG_PCI_OPTION_ROM_RUN_YABEL is not set
# CONFIG_CONSOLE_VGA_MULTI is not set
CONFIG_HYPERTRANSPORT_PLUGIN_SUPPORT=y
CONFIG_PCIX_PLUGIN_SUPPORT=y
CONFIG_PCIEXP_PLUGIN_SUPPORT=y
CONFIG_AGP_PLUGIN_SUPPORT=y
CONFIG_CARDBUS_PLUGIN_SUPPORT=y

#
# Generic Drivers
#
# CONFIG_DRIVERS_SIL_3114 is not set
CONFIG_PCI_BUS_SEGN_BITS=0
# CONFIG_MMCONF_SUPPORT_DEFAULT is not set
# CONFIG_MMCONF_SUPPORT is not set

#
# Console options
#
CONFIG_CONSOLE_SERIAL_COM1=y
# CONFIG_CONSOLE_SERIAL_COM2 is not set
# CONFIG_CONSOLE_SERIAL_COM3 is not set
# CONFIG_CONSOLE_SERIAL_COM4 is not set
CONFIG_CONSOLE_SERIAL_115200=y
# CONFIG_CONSOLE_SERIAL_57600 is not set
# CONFIG_CONSOLE_SERIAL_38400 is not set
# CONFIG_CONSOLE_SERIAL_19200 is not set
# CONFIG_CONSOLE_SERIAL_9600 is not set
# CONFIG_CONSOLE_VGA_ONBOARD_AT_FIRST is not set
# CONFIG_CONSOLE_NE2K is not set
CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_8=y
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_7 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_6 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_5 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_4 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_3 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_2 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_1 is not set
# CONFIG_MAXIMUM_CONSOLE_LOGLEVEL_0 is not set
CONFIG_DEFAULT_CONSOLE_LOGLEVEL_8=y
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_7 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_6 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_5 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_4 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_3 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_2 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_1 is not set
# CONFIG_DEFAULT_CONSOLE_LOGLEVEL_0 is not set
# CONFIG_CONSOLE_BTEXT is not set
# CONFIG_CONSOLE_SROM is not set
# CONFIG_CONSOLE_LOGBUF is not set
# CONFIG_NO_POST is not set
# CONFIG_SERIAL_POST is not set
# CONFIG_HAVE_ACPI_RESUME is not set
# CONFIG_HAVE_ACPI_SLIC is not set
CONFIG_HAVE_HARD_RESET=y
CONFIG_HAVE_INIT_TIMER=y
# CONFIG_HAVE_MAINBOARD_RESOURCES is not set
CONFIG_HAVE_OPTION_TABLE=y
# CONFIG_PIRQ_ROUTE is not set
# CONFIG_HAVE_SMI_HANDLER is not set
CONFIG_PCI_IO_CFG_EXT=y
# CONFIG_USE_WATCHDOG_ON_BOOT is not set
# CONFIG_VGA is not set
# CONFIG_GFXUMA is not set
CONFIG_HAVE_LOW_TABLES=y
CONFIG_HAVE_ACPI_TABLES=y
CONFIG_HAVE_MP_TABLE=y
CONFIG_HAVE_PIRQ_TABLE=y
CONFIG_GENERATE_ACPI_TABLES=y
CONFIG_GENERATE_MP_TABLE=y
CONFIG_WRITE_HIGH_TABLES=y

#
# System tables
#
CONFIG_MULTIBOOT=y

#
# Payload
#
# CONFIG_PAYLOAD_NONE is not set
CONFIG_PAYLOAD_ELF=y
CONFIG_FALLBACK_PAYLOAD_FILE="../payloads/bios.bin.elf-0.6.0"
CONFIG_COMPRESSED_PAYLOAD_LZMA=y
# CONFIG_COMPRESSED_PAYLOAD_NRV2B is not set

#
# VGA BIOS
#
# CONFIG_VGA_BIOS is not set

#
# Debugging
#
CONFIG_GDB_STUB=y
# CONFIG_DEBUG_RAM_SETUP is not set
# CONFIG_DEBUG_PIRQ is not set
# CONFIG_DEBUG_SMBUS is not set
# CONFIG_LLSHELL is not set
# CONFIG_AP_CODE_IN_CAR is not set
CONFIG_ENABLE_APIC_EXT_ID=y
# CONFIG_BOARD_HAS_HARD_RESET is not set
CONFIG_BOARD_HAS_FADT=y
CONFIG_HAVE_BUS_CONFIG=y
